Bug 146619 - Mozilla line height too large in gtk2 Xft version
Mozilla line height too large in gtk2 Xft version
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2005-01-30 15:26 EST by Brian Ecker
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-09 19:16:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Mozilla 1.7.2 in RH9 (141.80 KB, image/gif)
2005-01-30 15:30 EST, Brian Ecker
no flags Details
Mozilla 1.7.3 in FC3 (252.05 KB, image/gif)
2005-01-30 15:34 EST, Brian Ecker
no flags Details

  None (edit)
Description Brian Ecker 2005-01-30 15:26:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)

Description of problem:
The line height in the gtk2 xft enabled version of Mozilla 1.7.3 seems
too large -- especially when compared to the gtk2 xft version of
Mozilla for Red Hat 9.  There seems to be an additional 9 pixels in
height per line.  I'll attach screen shots to demonstrate.  The
problem does not exist with non-gtk2 xft enabled versions of mozilla,
so the problem must be with gtk2 and/or xft.

Version-Release number of selected component (if applicable):
gtk2-2.4.14-2.fc3, gtk2-devel-2.4.14-2.fc3, mozilla-1.7.3

How reproducible:

Steps to Reproduce:
1. Load Mozilla in RH9
2. Load Mozilla in FC3
3. Compare

Actual Results:  Line height in Mozilla FC3 is ALWAYS larger.

Expected Results:  Line height should have been equal.

Additional info:
Comment 1 Brian Ecker 2005-01-30 15:30:04 EST
Created attachment 110416 [details]
Mozilla 1.7.2 in RH9

Notice the height in the green table background for the article title.	See how
the hyperlink touches the bottom of the table and how there are only 3 pixels
of height from the top of the capital letters to the top of the table.
Comment 2 Brian Ecker 2005-01-30 15:34:34 EST
Created attachment 110417 [details]
Mozilla 1.7.3 in FC3

Compare the height in the green table background for the article title to the
RH9 screenshot.  Notice how there are 2 pixels of whitespace from the bottom of
the hyperlink to the bottom of the table row.  The problem is much more
pronounced on the top.	There are 8 pixels of height between the top of the
capital letters and the top of the table.  Making a net difference of 8 pixels
per line between the two versions.
Comment 3 Matthew Miller 2006-07-10 19:35:16 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Matěj Cepl 2007-06-09 19:16:03 EDT
Reporter, could you confirm please, that this bug still could be reproduced with
the updated release of the supported version of Fedora (FC5, FC6, or F7)?

If yes, please, reopen this bug with additional information how it is possible
to reproduce this bug.

In meantime, I have to close this bug as CANTFIX, because it is reported against
not longer supported distribution.

Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.